Bug 25188 - Make circulation notes more prominent on the patron details tab
Summary: Make circulation notes more prominent on the patron details tab
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-19 02:16 UTC by Katrin Fischer
Modified: 2020-05-13 19:07 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25188: Make circulation notes more prominent on the patron details tab (1.90 KB, patch)
2020-05-04 16:07 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25188: Make circulation notes more prominent on the patron details tab (2.01 KB, patch)
2020-05-05 06:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25188: Make circulation notes more prominent on the patron details tab (1.90 KB, patch)
2020-05-05 06:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25188: Make circulation notes more prominent on the patron details tab (1.95 KB, patch)
2020-05-05 10:54 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-19 02:16:31 UTC
When a patron note is added via "Add message" it displays on both the checkouts and the details tab. But a circulation note (Edit patron...) is only displayed on the checkouts tab. It would be nice if the circulation note also showed on the details tab.
Comment 1 Lisette Scheer 2020-04-23 15:41:57 UTC
On master I still see this, but rather than being on the top of the page with messages, it is under "Library Use" below the password.
Comment 2 David Roberts 2020-04-23 15:48:19 UTC
I concur with Lisette. I also think it's a little confusing that the terminology of Opac note and Circulation note is named differently in the Add message function.
Comment 3 Katrin Fischer 2020-04-29 06:15:17 UTC
Hi David, can you explain a bit more?
Comment 4 David Roberts 2020-04-29 09:49:27 UTC
(In reply to Katrin Fischer from comment #3)
> Hi David, can you explain a bit more?

Hi Katrin, sorry this is my mistake. I hadn't realised that the messages go to a completely different table. I thought they worked the same way that the OPAC and Circulation notes do, but I was wrong. Ignore me!
Comment 5 Katrin Fischer 2020-04-29 10:22:11 UTC
Ah right, that can be a bit confusing!
Comment 6 David Roberts 2020-05-04 01:16:17 UTC
Hi Katrin, is this still an issue? The circulation note display on the Display tab under the library use block on the right hand side. Would you like it more prominent?
Comment 7 Katrin Fischer 2020-05-04 06:15:37 UTC
I think I'd make the display the same for checkouts an details in also displaying git on top - but that's more a feeling. You are right in that it displays on the page. 

I splitted this out of bug 21211, which was not reported by me, when fixing the tool bars :)
Comment 8 David Roberts 2020-05-04 16:02:06 UTC
I've changed the title of this bug as it has moved on from what was originally reported.
Comment 9 David Roberts 2020-05-04 16:07:12 UTC
Created attachment 104312 [details] [review]
Bug 25188: Make circulation notes more prominent on the patron details tab

This patch adds a more prominent circulation note to the moremember.pl
details screen.

To test:

1) Add a circulation note to a patron record.
2) Note that it displays prominently on the checkout tab, but only under
the Library Use block on the details tab.
3) Apply the patch.
4) Check that the note is now displayed prominently at the top of the
details (moremember.pl) screen.

https://bugs.koha-community.org/show_bug.cgi?id=25118
Comment 10 David Roberts 2020-05-04 16:07:58 UTC
(In reply to Katrin Fischer from comment #7)
> I think I'd make the display the same for checkouts an details in also
> displaying git on top - but that's more a feeling. You are right in that it
> displays on the page. 
> 
> I splitted this out of bug 21211, which was not reported by me, when fixing
> the tool bars :)

Hi Katrin - I hope this patch does what you want! :-)
Comment 11 Katrin Fischer 2020-05-05 06:55:10 UTC
Created attachment 104346 [details] [review]
Bug 25188: Make circulation notes more prominent on the patron details tab

This patch adds a more prominent circulation note to the moremember.pl
details screen.

To test:

1) Add a circulation note to a patron record.
2) Note that it displays prominently on the checkout tab, but only under
the Library Use block on the details tab.
3) Apply the patch.
4) Check that the note is now displayed prominently at the top of the
details (moremember.pl) screen.

https://bugs.koha-community.org/show_bug.cgi?id=25118

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=25245
Comment 12 Katrin Fischer 2020-05-05 06:56:03 UTC
Created attachment 104347 [details] [review]
Bug 25188: Make circulation notes more prominent on the patron details tab

This patch adds a more prominent circulation note to the moremember.pl
details screen.

To test:

1) Add a circulation note to a patron record.
2) Note that it displays prominently on the checkout tab, but only under
the Library Use block on the details tab.
3) Apply the patch.
4) Check that the note is now displayed prominently at the top of the
details (moremember.pl) screen.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2020-05-05 06:57:17 UTC
Finally got the right patch attached to the right bug - phew.

This was what i was thinking about - thx Phil. Should we get some more opinions on this?
Comment 14 Owen Leonard 2020-05-05 10:54:16 UTC
Created attachment 104358 [details] [review]
Bug 25188: Make circulation notes more prominent on the patron details tab

This patch adds a more prominent circulation note to the moremember.pl
details screen.

To test:

1) Add a circulation note to a patron record.
2) Note that it displays prominently on the checkout tab, but only under
the Library Use block on the details tab.
3) Apply the patch.
4) Check that the note is now displayed prominently at the top of the
details (moremember.pl) screen.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 15 Martin Renvoize 2020-05-12 10:47:48 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 16 Joy Nelson 2020-05-13 19:07:08 UTC
enhancement not backported to 19.11.x